=== debian/changelog ===
libxtrxdsp (0.0.1+git20190830.eec2864-3) unstable; urgency=medium

  * Team upload.
  * Disable SSE and AVX on i386.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Jan 2022 13:32:45 +0100

libxtrxdsp (0.0.1+git20190830.eec2864-2) unstable; urgency=medium

  * New patch with syntax error fix.
  * Bump standards version.

 -- Sepi Gair <sepigair@email.cz>  Tue, 17 Mar 2020 23:09:56 +0100

libxtrxdsp (0.0.1+git20190830.eec2864-1) unstable; urgency=medium

  * Initial release (Closes: #945154)

 -- Sepi Gair <sepigair@email.cz>  Tue, 03 Dec 2019 14:48:31 +0100
